This URL gets the vIPS cluster details.
Resource URL
GET /cloud/cluster/<id>
Request Parameters
URL Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Cluster id | Number | Yes |
Payload Request Parameters
None
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned:
Field Name | Description | Data Type |
|---|---|---|
| Cluster id | Number |
| Domain details | String |
| Cluster name | String |
| Cluster description | String |
| Controller name | String |
| Subscription id for Azure controllers | String |
| Shared secret between the Manager and cluster | String |
| Number of member Sensors | Number |
| Last updated time | String |
Example
Request
GET https://<NSM_IP>/sdkapi/cloud/cluster/101
Response
{
"id": 101,
"domain": "My Company ( 0 )",
"name": "test",
"description": "",
"cloudConnector": "Cloud_Controller",
"subscription": null,
"sharedSecret": "********",
"memberSensors": 0,
"lastUpdated": "2017-03-23 10:25:42.0 ( admin )"
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error message |
2 | 400 | 11001 | Get failed for id <id> : <error> |